package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.ResultCalculateMapper;
import com.lz.modules.flow.entity.ResultCalculate;
import com.lz.modules.flow.model.ResultCalculateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 模板计算公式 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/

@Service
public class ResultCalculateServiceImpl extends ServiceImpl<ResultCalculateMapper, ResultCalculate> implements ResultCalculateService {


    @Autowired
	private ResultCalculateMapper resultCalculateMapper;



	@Override
	public ResultCalculate selectResultCalculateById(Long id){
		return resultCalculateMapper.selectResultCalculateById(id);
	}



	@Override
	public Long insertResultCalculate(ResultCalculate resultCalculate){
		return resultCalculateMapper.insertResultCalculate(resultCalculate);
	}



	@Override
	public int updateResultCalculateById(ResultCalculate resultCalculate){
		return resultCalculateMapper.updateResultCalculateById(resultCalculate);
	}



	@Override
	public int updateCoverResultCalculateById(ResultCalculate resultCalculate){
		return resultCalculateMapper.updateCoverResultCalculateById(resultCalculate);
	}



	@Override
	public int deleteResultCalculateById(Long id){
		return resultCalculateMapper.deleteResultCalculateById(id);
	}

	@Override
	public List<ResultCalculateDto> selectResultCalculateByBusinessId(Long id){
		return resultCalculateMapper.selectResultCalculateByBusinessId(id);
	}



}
